Bug 448276 - nash documentation missing several commands
nash documentation missing several commands
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 07:02 EDT by JW
Modified: 2009-05-06 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 11:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2008-05-25 07:02:40 EDT
Description of problem:
Many commands are omitted from the nash manual entry.  It would be nice if one
could read the documentation rather than having to read the source code to
discover what nash can do.

Version-Release number of selected component (if applicable):
nash-6.0.19-4

How reproducible:
Always

Steps to Reproduce:
1. man nash
  
Actual results:
The following commands are not documented:
(cat),cond,cp,dm,exec,exit,kernelopt,mkblktab,mkblkdevs,network,hotplug,killplug,ln,(ls),resume,resolveDevice(!),rmparts,setuproot,stablizied,status,waitdev
There are some documented commands.

Expected results:
All nash commands should be documented, so that people can easily use them in
custom init scripts!

Additional info:
Comment 1 Bug Zapper 2008-11-26 05:46:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2009-05-06 11:03:39 EDT
nash really isn't intended to be used by end-users and at this point is very deprecated.  Adding documentation of more things to do with it is just more likely to end up causing problems when we remove it in Fedora 12

Note You need to log in before you can comment on or make changes to this bug.